Indicates a recoverable error that a `REPLServer` can use to support multi-line input.

see

  https://nodejs.org/dist/latest-v10.x/docs/api/repl.html#repl_recoverable_errors

### Hierarchy

- SyntaxError
  - Recoverable

## Index

### Constructors

- constructor

### Properties

- err
- message
- name
- stack
- SyntaxError

## Constructors

### constructor

- new Recoverable(err: Error): Recoverable

- - Defined in node_modules/@types/node/repl.d.ts:378

  #### Parameters

  - ##### err: Error

  #### Returns Recoverable

## Properties

### err

err: Error

- Defined in node_modules/@types/node/repl.d.ts:378

### message

message: string

Inherited from Error.message

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:964

### name

name: string

Inherited from Error.name

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:963

### Optional stack

stack: undefined | string

Inherited from Error.stack

Overrides Error.stack

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:965

### Static SyntaxError

SyntaxError: SyntaxErrorConstructor

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1018

Generated using TypeDoc